cURL
curl --request POST \
--url https://api.brightdata.com/datasets/v3/deliver/{snapshot_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deliver": {
"type": "webhook",
"filename": {
"template": "<string>"
},
"endpoint": "<string>"
},
"compress": false
}
'import requests
url = "https://api.brightdata.com/datasets/v3/deliver/{snapshot_id}"
payload = {
"deliver": {
"type": "webhook",
"filename": { "template": "<string>" },
"endpoint": "<string>"
},
"compress": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deliver: {type: 'webhook', filename: {template: '<string>'}, endpoint: '<string>'},
compress: false
})
};
fetch('https://api.brightdata.com/datasets/v3/deliver/{snapshot_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delivery_id": "<string>"
}交付 API
交付快照
将快照内容交付到指定存储
POST
/
datasets
/
v3
/
deliver
/
{snapshot_id}
cURL
授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
路径参数
触发采集时返回的 ID
示例:
"s_m4x7enmven8djfqak"
查询参数
交付完成后将发送通知的 URL
示例:
"https://notify-me.com/"
请求体
application/json
响应
200 - application/json
成功
可在 Monitor Delivery API 中使用的交付请求 ID
此页面对您有帮助吗?
⌘I